/*
 * Photo Image Print System
 * Copyright (C) 2000-2004 EPSON KOWA Corporation.
 * Copyright (C) SEIKO EPSON CORPORATION 2000-2004.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON KOWA Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON KOWA PUBLIC LICENCE and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON KOWA PUBLIC LICENCE.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <string.h>
#include "pipsDef.h"
#include "getstat.h"
#include "ekpcom.h"

int
get_status (char *buf)
{
	char status_command[]  = { 's', 't', 0x01, 0x00, 0x01 };
	int nwrite, nread;

	buf[0] = '\0';

	nwrite = sizeof (status_command);
	nread = 0;
	if (sock_write (status_command, &nwrite) < 0)
	{
		sock_reopen ();
		nwrite = sizeof (status_command);
		sock_write (status_command, &nwrite);
	}
	
	if (nwrite > 0)
	{
		nread = REPLAY_SIZE;
		sock_read (buf, &nread);
	}

	if (buf[0]) /* no error */
		return 0;
	/* error */
	return 1;
}

#define OFFSET_SEVENTH_INK_CARTRIDGE 34

int
get_inkset (void)
{
	char buf[REPLAY_SIZE];
	char* point;

	get_status (buf);
	
	point = strstr (buf, "INK:");

	if (point == NULL)
		return PIPS_INKSET_DEFAULT;

	point += OFFSET_SEVENTH_INK_CARTRIDGE;
	if (strncmp (point, "9440", 4) == 0)
		return PIPS_INKSET_CMYKcmDY;

	else if (strncmp (point, "1140", 4) == 0)
		return PIPS_INKSET_CMYKcm;

	/* error */
	return PIPS_INKSET_DEFAULT;
};
