/*
 * Photo Image Print System
 * Copyright (C) SEIKO EPSON CORPORATION 2002-2004.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON KOWA Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON KOWA PUBLIC LICENCE and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON KOWA PUBLIC LICENCE.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __OPT_RSC__
#define __OPT_RSC__

#include "pipsDef.h"

/* Option Entry */
char *inkEntry[] = {
        "COLOR", "MONO",
        NULL
};

char *binEntry[] = {
        "AUTO", "ROLL", "TROLL", "T4AUTO",
        NULL
};

char *mediaSizeEntry[] = {
        "A4", "B5", "A5", "A6", "PC", "DPC", "L", "2L", "ENVC3",
        "ENVC4", "ENVY1", "ENVY2", "ENVY3", "ENVY4", "LT", "LGL",
        NULL
};

char *mediaSizeEntry_R[] = {
        "A4", "B5", "A5", "A6", "PC", "DPC", "L", "LL", "2L", "4X6", "NC",
	"LT", "LGL",
	NULL
};

char *mediaSizeEntry_TR[] = {
        "A4", "PC", "L", "LL", "2L", "4X6", "NC",
	NULL
};

char *mediaSizeEntry_NMA[] = {
        "A4", "PC", "L", "2L",
        NULL
};

char *resolutionEntry[] = {
        "120", "360", "720",
        NULL
};

char *mediaTypeEntry[] = {
        "PLAIN", "ESF", "EPP", "PMPHOTO", "PMMATT",
        "IJPC", "GFILM", "OHP", "IRON", "MBOARD",
        NULL
};

char *colorModeEntry[] = {
        "AUTO", "PHOTO", "GRAPH", "NONE",
        NULL
};

char *halftoneEntry[] = {
        "ED",
        NULL
};

char *levelEntry[] = {
        "DRAFT", "STD", "FINE", "SFINE", "PHOTO", "SPHOTO",
        NULL
};

char *multiPageEntry[] = {
        "1", "2", "4",
        NULL
};

char *autoCutEntry[] = {
        "NONE",
        NULL
};


/* pModeCol     :       Color
   pModeMono    :       Monochrome

   MediaNumber  :       see pipsDef.h
   Inmput       :       1:120/180, 2:360, 4:720
   Halftone     :       <or> 1:ED 2:DB
   HighSpeed    :       0:OFF 1:ON 2:ON/OFF
*/
short pModeCol[] = {
        25,
        /* mediaName            Input           MicroWeave      Quality */
        /* & MediaNumber                Halftone        HighSpeed       */
        /* PLAIN */
        PIPS_MED_PLAIN,         1,      1,      0,      1,      0x000,
        PIPS_MED_PLAIN,         2,      1,      1,      2,      0x010,
        PIPS_MED_PLAIN,         6,      1,      1,      2,      0x220,
        PIPS_MED_PLAIN,         6,      1,      1,      2,      0x330,
        /* ESF */
        PIPS_MED_ESF,           6,      1,      1,      2,      0x220,
        PIPS_MED_ESF,           6,      1,      1,      2,      0x330,
        PIPS_MED_ESF,           4,      1,      1,      2,      0x400,
        /* EPP */
        PIPS_MED_EPP,           6,      1,      1,      2,      0x220,
        PIPS_MED_EPP,           6,      1,      1,      2,      0x330,
        PIPS_MED_EPP,           4,      1,      1,      2,      0x400,
        /* RC_PHOTO */
        PIPS_MED_RC_PHOTO,      6,      1,      1,      2,      0x330,
        PIPS_MED_RC_PHOTO,      4,      1,      1,      2,      0x400,
        PIPS_MED_RC_PHOTO,      4,      1,      1,      2,      0x500,
        /* MATT_HEAVY */
        PIPS_MED_MATT_HEAVY,    6,      1,      1,      2,      0x220,
        PIPS_MED_MATT_HEAVY,    6,      1,      1,      2,      0x330,
        PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0x400,
        /* IJPC */
        PIPS_MED_IJPC,          6,      1,      1,      2,      0x220,
        PIPS_MED_IJPC,          6,      1,      1,      2,      0x330,
        PIPS_MED_IJPC,          4,      1,      1,      2,      0x400,
        /* GLOSSYFILM */
        PIPS_MED_GLOSSYFILM,    6,      1,      1,      0,      0x330,
        PIPS_MED_GLOSSYFILM,    4,      1,      1,      0,      0x400,
        PIPS_MED_GLOSSYFILM,    4,      1,      1,      0,      0x500,
        /* TRANSPARENCY */
        PIPS_MED_TRANSPARENCY,  2,      1,      1,      0,      0x010,
        /* IRON_PRINT */
        PIPS_MED_IRON_PRINT,    2,      1,      1,      0,      0x010,
        /* MAT_BOARD */
        PIPS_MED_MAT_BOARD,     2,      1,      1,      0,      0x010
};

short pModeMono[] = {
        25,
        /* mediaName            Input           MicroWeave      Quality */
        /* & MediaNumber                Halftone        HighSpeed       */
        /* PLAIN */
        PIPS_MED_PLAIN,         1,      1,      0,      1,      0x000,
        PIPS_MED_PLAIN,         2,      1,      1,      2,      0x010,
        PIPS_MED_PLAIN,         6,      1,      1,      2,      0x220,
        PIPS_MED_PLAIN,         6,      1,      1,      2,      0x330,
        /* ESF */
        PIPS_MED_ESF,           6,      1,      1,      2,      0x220,
        PIPS_MED_ESF,           6,      1,      1,      2,      0x330,
        PIPS_MED_ESF,           4,      1,      1,      2,      0x400,
        /* EPP */
        PIPS_MED_EPP,           6,      1,      1,      2,      0x220,
        PIPS_MED_EPP,           6,      1,      1,      2,      0x330,
        PIPS_MED_EPP,           4,      1,      1,      2,      0x400,
        /* RC_PHOTO */
        PIPS_MED_RC_PHOTO,      6,      1,      1,      2,      0x330,
        PIPS_MED_RC_PHOTO,      4,      1,      1,      2,      0x400,
        PIPS_MED_RC_PHOTO,      4,      1,      1,      2,      0x500,
        /* MATT_HEAVY */
        PIPS_MED_MATT_HEAVY,    6,      1,      1,      2,      0x220,
        PIPS_MED_MATT_HEAVY,    6,      1,      1,      2,      0x330,
        PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0x400,
        /* IJPC */
        PIPS_MED_IJPC,          6,      1,      1,      2,      0x220,
        PIPS_MED_IJPC,          6,      1,      1,      2,      0x330,
        PIPS_MED_IJPC,          4,      1,      1,      2,      0x400,
        /* GLOSSYFILM */
        PIPS_MED_GLOSSYFILM,    6,      1,      1,      0,      0x330,
        PIPS_MED_GLOSSYFILM,    4,      1,      1,      0,      0x400,
        PIPS_MED_GLOSSYFILM,    4,      1,      1,      0,      0x500,
        /* TRANSPARENCY */
        PIPS_MED_TRANSPARENCY,  2,      1,      1,      0,      0x010,
        /* IRON_PRINT */
        PIPS_MED_IRON_PRINT,    2,      1,      1,      0,      0x010,
        /* MAT_BOARD */
        PIPS_MED_MAT_BOARD,     2,      1,      1,      0,      0x010
};

/* $B0lDj$N>r7o$K$h$j!"0u;z%b!<%I<+BN$KJQ99$,I,MW$H$J$k>l9g$K;HMQ$9$k!#(B
   $BFC$K(Bformat$B$OB8:_$7$J$$!#0J2<$O40A4$K5!<o0MB8$N5-=R$G$"$j!"B>$N5!<o(B
   $B$H$N8_49@-$OA4$/L5$$!#(B*/

/* Bin="T4AUTO" $B;~$KL58z$K$J$k0u;z%b!<%I(BID (color,black $B6&DL(B)*/
#define CHECK_PECULIAR_ALL
short de_param_mode_list[6][21] = { /* 21 = mode$B?t(B+1 */
	/* AUTO */
	{-1},
	/* ROLL */
	{0, -1},
	/* TROLL */
	{0, 12, 19, 20, 21, 22, 23, 24, -1},
	/* TAUTO */
	{-1},
	/* T4AUTO */
	{0, 12, 19, 20, 21, 22, 23, 24, -1},
	/* EXAUTO */
	{-1}
};

#endif /* __OPT_RSC__ */
